openSUSE 安全性更新:python-django (openSUSE-SU-2013:1203-1)

medium Nessus Plugin ID 75089
新推出!Plugin 嚴重性目前使用 CVSS v3

計算 Plugin 嚴重性已更新為預設使用 CVSS v3 沒有 CVSS v3 評分的 Plugin 會回歸到以 CVSS v2 計算嚴重性。您可在設定下拉式選單中切換顯示嚴重性的喜好設定

Synopsis

遠端 openSUSE 主機缺少安全性更新。

描述

python-django 已更新至 1.4.5 版,可修正多種安全性問題和錯誤。

1.4.5 的更新:

- 安全性版本。

- 修正 bnc#807175 / bnc#787521 / CVE-2012-4520 / CVE-2013-0305 / CVE-2013-0306 和 CVE-2013-1665。

- 1.4.3 的更新:

- 安全性版本:

- 主機標頭破壞

- 重新導向破壞

- 請查看版本資訊瞭解詳情:
https://www.djangoproject.com/weblog/2012/dec/10/security

- 新增 /usr/bin/django-admin.py 的符號連結至 /usr/bin/django-admin

- 1.4.2 的更新:

- 安全性版本:

- 主機標頭破壞

- 請查看版本資訊瞭解詳情:
https://www.djangoproject.com/weblog/2012/oct/17/security

- 1.4.1 的更新:

- 安全性版本:

- 驗證檢視中的跨網站指令碼

- 影像驗證中的拒絕服務

- 透過 get_image_dimensions() 引發的拒絕服務

- 請查看版本資訊瞭解詳情:
https://www.djangoproject.com/weblog/2012/jul/30/security-releases-issued

- 新增修補程式以支援 CSRF_COOKIE_HTTPONLY 組態

解決方案

更新受影響的 python-django 套件。

另請參閱

https://bugzilla.novell.com/show_bug.cgi?id=787521

https://bugzilla.novell.com/show_bug.cgi?id=807175

https://lists.opensuse.org/opensuse-updates/2013-07/msg00058.html

https://www.djangoproject.com/weblog/2012/dec/10/security/

http://www.nessus.org/u?85c9c56c

https://www.djangoproject.com/weblog/2012/oct/17/security/

Plugin 詳細資訊

嚴重性: Medium

ID: 75089

檔案名稱: openSUSE-2013-589.nasl

版本: 1.7

類型: local

代理程式: unix

已發布: 2014/6/13

已更新: 2021/1/19

相依性: ssh_get_info.nasl

風險資訊

VPR

風險因素: Medium

分數: 4.7

CVSS v2

風險因素: Medium

基本分數: 6.4

時間分數: 4.7

媒介: AV:N/AC:L/Au:N/C:P/I:P/A:N

時間媒介: E:U/RL:OF/RC:C

弱點資訊

CPE: p-cpe:/a:novell:opensuse:python-django, cpe:/o:novell:opensuse:12.2, cpe:/o:novell:opensuse:12.3

必要的 KB 項目: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2013/7/9

參考資訊

CVE: CVE-2012-4520, CVE-2013-0305, CVE-2013-0306, CVE-2013-1665